
Foreman - Bug #33236

useAPI infinite loop

08/10/2021 05:29 PM - Amir Fefer

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 3.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8713

  

Description

if options object isn't memorized or defined as a constant an infinite loop occurs

Associated revisions

Revision b3d096ea - 04/03/2022 01:40 PM - Amir Fefer

Fixes #33236 - optimize useAPI hook

History

#1 - 08/10/2021 06:06 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8713 added

#2 - 04/03/2022 01:40 PM - The Foreman Bot

- Fixed in Releases 3.3.0 added

#3 - 04/03/2022 02:00 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|b3d096eab05d4afb304f392b5b5501670533cb76.
